%define freetype_version 2.0.9
%define fontconfig_version 0.0.0.20020523
%define XFree86_version 4.2.0

Summary: X Font Rendering library
Name: Xft
Version: 1.9.0.20020523
Release: 1
License: MIT
Group: System Environment/Libraries
Source: Xft-%{version}.tar.gz
URL: http://keithp.com/fonts
BuildRoot: %{_tmppath}/Xft-%{PACKAGE_VERSION}-root

BuildRequires: fontconfig-devel >= %{fontconfig_version}
BuildRequires: freetype-devel >= %{freetype_version}
BuildRequires: XFree86-devel >= %{XFree86_version}

%description
Xft is a font rendering library for X.

%package devel
Summary: Font configuration and customization library
Group: Development/Libraries
Requires: Xft = %{PACKAGE_VERSION}
Requires: freetype-devel >= %{freetype_version}
Requires: fontconfig-devel >= %{fontconfig_version}

%description devel
The Xft-devel package includes the header files,
and developer docs for the Xft package.

Install Xft-devel if you want to develop programs which 
will use Xft.

%changelog
* Fri May 24 2002 Owen Taylor <otaylor@redhat.com>
- Initial specfile

%prep
%setup -n Xft

%build

%configure
make

perl -pi -e 's@-I\${includedir}@-I\${includedir}/Xft2@;' xft.pc xft-config
perl -pi -e 's@-lXft@-lXft2@;' xft.pc xft-config

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 Xft.man $RPM_BUILD_ROOT%{_mandir}/man3/Xft.3x

mkdir -p $RPM_BUILD_ROOT%{_includedir}/Xft2
mv $RPM_BUILD_ROOT%{_includedir}/X11 $RPM_BUILD_ROOT%{_includedir}/Xft2
mv $RPM_BUILD_ROOT%{_libdir}/libXft.so $RPM_BUILD_ROOT%{_libdir}/libXft2.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libXft.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libXft2.so
%{_libdir}/pkgconfig
%{_bindir}/xft-config
%{_includedir}/Xft2
%{_mandir}/man3/Xft.3x*
